---
layout: handbook-page-toc
title: Product Organization OKRs
---
## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

<%= partial("handbook/product/product-handbook-links") %>

## Product Team OKR Overview

### General timeline and process 

- Product & Engineering ramp up on upcoming quarter OKRs (6 weeks prior to Quarter start)
- CEO shares Company OKRs (5 weeks prior to Quarter start)
- CProdO updates OKRs (4 weeks prior to Quarter start)
- CEO approves OKRs (3 weeks prior to Quarter start)
- OKRs finalized and added to Ally.io (2 weeks prior to Quarter start)
- CProdO and CTO video highlight OKRs (1 week prior to Quarter start)
- Product leaders do final review of all KRs in ALly (within 1 week after Quarter start)
- KR owners finalize scores, close KRs and initiate retrospectives for previous quarter (1 week after Quarter start)
- Teams share retrospectives for previous quarter (3 weeks after the Quarter start)
- Ongoing: KR owners update scores (1st week of every month) 

### Guidance on timeline and process

For guidance about the OKR process, team members can post in Slack #product and tag [Product Operations](https://about.gitlab.com/company/team/#fseifoddini). Team members can also attend [Product Operations office hours](/handbook/product/product-processes/#product-operations-office-hours-bi-weekly) for live support. For guidance on how to use Ally.io please check out [how to use ally.io](#how-to-use-allyio) or post in Slack #ally-okr-rollout and tag Product Operations. 
Every quarter, there will also be a feedback issue linked on this page as part of that quarters timeline/process that anyone can contribute to. 

## Timeline and process for current quarter

FY22 Q4 Shared R&D OKR Overview by CTO and CProdO

<iframe src="https://www.youtube.com/embed/nQ9LdWzoSU4" width="560" height="315" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe>

### FY22 Q4 Product OKR Process

**Below is our Q4 iteration on the OKR process.** This Q4 process/timeline incorporates [FY22 Q3 OKR pilot learnings](https://gitlab.com/gitlab-com/Product/-/issues/2714). To address some of the findings, we're introducing **Shared R&D OKRs** to clarify and highlight Objectives aligned upon by the CProdO and the CTO. The Shared R&D OKRs will then serve as the priority across the Product and Engineering teams.

- Quarterly priority OKRs from CTO and CprodO will be referred to as [**Shared R&D OKRs**](#shared-rd-okrs)
- The teams responsible for collaborating on these OKRs will be referred to as [**Product Groups**](/handbook/product/product-processes/#quad--infra--security-product-group-dris)

For guidance about the Product OKR process, team members can post in Slack #product and tag [Product Operations](https://about.gitlab.com/company/team/#fseifoddini). Team members can also attend [Product Operations office hours](/handbook/product/product-processes/#product-operations-office-hours-bi-weekly) for live support. For guidance on how to use Ally.io please check out [how to use ally.io](#how-to-use-allyio) or post in Slack #ally-okr-rollout and tag Product Operations. 

Please share your feedback in [Feedback on Q4 Shared R&D OKR Process](https://gitlab.com/gitlab-com/Product/-/issues/3142)

#### OKR Kick-off by the Product and Engineering Leadership Teams

- **6 weeks** prior to the start of the fiscal quarter, the CProdO and CTO begin alignment on potential Shared R&D OKRs to recommend to the CEO. The EBA to the CTO will schedule these meetings and include cross-functional team members as directed by by the CTO: 
     - 2021/09/20: Shared R&D Objectives for OKRs
          - Goal: propose cross-functional OKR ideas for CEO’s top-down OKR draft
          - [Agenda](https://docs.google.com/document/d/1IGH5Kv8MnYNoOEFRp7x_dOmpWZJz82doAV9CPv8zASk/edit#)
     - 2021/09/22: Discuss Shared R&D OKRs
          - Goal: CProdO and CTO review align on top OKR ideas
     - 2021/09/27: Shared R&D Objectives for OKRs
          - Goal: finalize cross-functional OKR ideas for CEO's top-down OKR draft
          - [Agenda](https://docs.google.com/document/d/1IGH5Kv8MnYNoOEFRp7x_dOmpWZJz82doAV9CPv8zASk/edit#)
- **5 weeks** prior to the start of the fiscal quarter, the CEO and Chief of Staff to the CEO initiate the OKR process. The CEO will share an MR in the #e-group Slack channel with the 3 Company Objectives for the quarter, and one to three Key Results for each objective. 
-  **4 weeks** prior to the start of the new quarter:
     - the CProdO adds the aligned upon Shared R&D OKRs plus any additional Product organization specific OKRs to [FY22-Q4 Shared R&D OKR and Product Org OKR Planning](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/36) and reviews the proposed OKRs with the CEO
     - Product Operations informs Product team members that Q4 OKR planning has begun by tagging them into this issue, highlighting that it is recommended for Product Managers to review and activate their [Product Group](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris) to begin ideation on their Q4 KRs at this time. 

**Notes:** 

- The CTO drafts any Engineering organization specific OKRs per the [engineering OKR process](https://about.gitlab.com/handbook/engineering/#engineering-okr-process) 
- The CProdO and CTO will collaborate such that the total number of Shared R&D, Product team specific, and Engineering team specific objectives do not exceed a total of six across Engineering and Product organizations

#### OKR Collaboration by the Product Team

- **3 weeks** prior to the start of the new quarter, the CEO approves the Shared R&D OKRs and Product organization specific OKRs. The CProdO updates both the  Shared R&D and Product organization specific OKRs in [FY22-Q4 Shared R & D OKR Planning](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/36) as appropriate and tags in the teams for alignment and to finalize ownership of the KRs
- **2 weeks** prior to the start of the new quarter:
     - Product Operations ports the finalized Shared R&D and Product organization OKRs approved by the CProdO, CTO and VP of Product from the planning issue  into Ally.io. Product Operations assigns the Objectives and Key Results to the designated owners, as specified by in the issues
     - Product Operations  aligns the Shared R&D OKRs and Product organization OKRs to their corresponding parent-level OKRs in Ally.io so everything cascades from the Company Objectives set by the CEO and Chief of Staff to the CEO. 
     - Product Operations notifies all Product that approved Shared R&D and Product organization OKRs are in Ally.io, requesting they review all OKRs in Ally and Product Managers work with their Product Group to add any additional KRs they'd like to contribute
     - Product Managers initiate the planning process. They will work with their Product Group to identify KRs supporting Shared R&D Objectives owned by the CProdO and CTO, as this is the agreed-upon priority across the Product and  Engineering teams
     - Product Managers may, in alignment and partnership with their Product Group, choose to create KRs not aligned to existing Shared R&D OKRs. In this case they may either:
          - Define Key Results for another existing Q4 Product or Engineering specific OKR in Ally.io.
          - Identify a unique Objective and then define the Key Results (connect with Product Operations on where to add in Ally.io).
          - Define Key Results for one of the [yearly Product themes](https://about.gitlab.com/direction/#fy22-product-investment-themes) not yet utilized as an objective in Q4 (connect with Product Operations on where to add in Ally.io).
     - Product Managers will add any additional KRs to Ally.io
          - For guidance, please check out [how to use ally.io](#how-to-use-allyio): [Ally/OKR overview video for Product Managers](https://www.youtube.com/watch?v=M7z6ZnEpztU) and [how OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)
     - In some cases, GPMs may want to act as KR owners, working with the Product Manager and Product Group to add additional KRs to Ally.io.
          - For guidance, please check out [how to use ally.io](#how-to-use-allyio): [Ally/OKR overview video for GPMs](https://youtu.be/ilx7lk-_VM8) and [how OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)
- **1 week** prior to the start of the new quarter:
     - the CProdO and CTO record a video highligthing and discussing the Shared R&D OKRs
          - Product Operations adds video to relevant handbook pages and shares across relevant Slack channels
     - Product Operations reminds all  Directors and GPMs to review  OKRs added to Ally by their direct reports, to ensure any final modifications and additons are made prior to the beginning of the quarter
- **1 week** after the end of the quarter:
   - Product Operations asks Product team to ensure previous quarter scores are finalized  and their KRs closed by end of week in Ally
   - Product Operations asks VP Product Management, Directors, and Group Product Managers to run OKR retrospectives for their teams for the previous quarter, leveraging [the OKR Retrospective issue template](https://gitlab.com/gitlab-com/Product/-/issues/new?issuable_template=OKR-Retrospective).
- **3 weeks** after the end of the quarter:
   - Product Operations asks VP Product Management, Directors, and Group Product Managers to review their OKR retrospectives and share conclusions in the `#product` Slack channel or [PM Weekly](https://docs.google.com/document/d/1Kp8T4YrfmSvqbNlAKJw4pB4dPkV5-AjMT0wVvsxMJUY/edit#heading=h.avveod33mpb) if appropriate and helpful for the rest of the team. 

#### Product Manager participation in OKRs

- Product Managers will be pulled in for collaboration throughout the OKR drafting process
- Product Managers will work with their manager and [Product Group](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris) to plan and execute work to support OKRs throughout the quarter

#### Scoring and reporting 

KR owners will be responsible for the updating the status of their KRs by monthly. This is inclusive of collaborating with other team members to make sure any of their sub KRs rolling into their KRs are up to date as well. All R&D team members leverages the same scoring method to update OKRs detailed [here](#updating-the-status-and-progress-of-okrs).

## Timeline and process for upcoming quarter

### FY23 Q1 Product OKR Process

- Incorporates [FY22-Q4 learnings](https://gitlab.com/gitlab-com/Product/-/issues/3142).
- [FY23-Q1 feedback issue](https://gitlab.com/gitlab-com/Product/-/issues/3593)

#### OKR Kick-off by the Product and Engineering Leadership Teams

- **6 weeks** prior to the start of the fiscal quarter, the CProdO and CTO begin alignment on potential Shared R&D OKRs to recommend to the CEO. The EBA to the CTO and CProdO will schedule these meetings and include Product Operations and cross-functional team members as directed by by the CTO: 
     - 2021/12/21: Shared R&D Objectives for OKRs - session 1
          - Goal: Cross-functional leaders discuss OKR ideas for CEO’s top-down OKR draft
          - [Agenda](https://docs.google.com/document/d/19Ck1-cMu1WFZ-JP-wJYTsMvu0IZ_Hj0XBnRCa3_V7Gk/edit#heading=h.954v91mukl7r)
     - 2021/12/22: CTO and CProdO discuss Shared R&D OKRs 1:1
          - Goal: CProdO and CTO review align on top OKR ideas coming out of session 1
     - 2021/12/28: Shared R&D Objectives for OKRs - session 2
          - Goal: Cross-functional leaders finalize OKR ideas for CEO's top-down OKR draft
          - [Agenda](https://docs.google.com/document/d/19Ck1-cMu1WFZ-JP-wJYTsMvu0IZ_Hj0XBnRCa3_V7Gk/edit#heading=h.954v91mukl7r)
- **5 weeks** prior to the start of the fiscal quarter, the CEO and Chief of Staff to the CEO initiate the OKR process. The CEO will share an MR in the #e-group Slack channel with the 3 Company Objectives for the quarter, and one to three Key Results for each objective. 
-  **4 weeks** prior to the start of the new quarter:
     - the CProdO adds the aligned upon Shared R&D OKRs plus any additional Product organization specific OKRs to [FY23-Q1 Shared R&D and Product Org OKR Planning](https://gitlab.com/gitlab-com/Product/-/issues/3594) and reviews the proposed OKRs with the CEO
     - Product Operations informs Product team members that Q1 OKR planning has begun by tagging them into this issue, highlighting that it is recommended for Product Managers to review and activate their [Product Group](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris) to begin ideation on their Q4 KRs at this time. 

#### OKR Collaboration by the Product Team

- **3 weeks** prior to the start of the new quarter, the CEO approves the Shared R&D OKRs and Product organization specific OKRs. The CProdO updates both the  Shared R&D and Product organization specific OKRs in [FY23-Q1 Shared R&D and Product Org OKR Planning](https://gitlab.com/gitlab-com/Product/-/issues/3594) as appropriate and tags in the teams for alignment and to finalize ownership of the KRs
- **2 weeks** prior to the start of the new quarter:
     - Product Operations ports the finalized Shared R&D and Product organization OKRs approved by the CProdO, CTO and VP of Product from the planning issue  into Ally.io. Product Operations assigns the Objectives and Key Results to the designated owners, as specified by in the issues
     - Product Operations  aligns the Shared R&D OKRs and Product organization OKRs to their corresponding parent-level OKRs in Ally.io so everything cascades from the Company Objectives set by the CEO and Chief of Staff to the CEO. 
     - Product Operations notifies all Product that approved Shared R&D and Product organization OKRs are in Ally.io, requesting they review all OKRs in Ally and Product Managers work with their Product Group to add any additional KRs they'd like to contribute
     - Product Managers initiate the planning process. They will work with their Product Group to identify KRs supporting Shared R&D Objectives owned by the CProdO and CTO, as this is the agreed-upon priority across the Product and  Engineering teams
     - Product Managers may, in alignment and partnership with their Product Group, choose to create KRs not aligned to existing Shared R&D OKRs. In this case they may either:
          - Define Key Results for another existing Q1 Product or Engineering specific OKR in Ally.io.
          - Identify a unique Objective and then define the Key Results (connect with Product Operations on where to add in Ally.io).
          - Define Key Results for one of the [yearly Product themes](https://about.gitlab.com/direction/#fy22-product-investment-themes) not yet utilized as an objective in Q1 (connect with Product Operations on where to add in Ally.io).
     - Product Managers will add any additional KRs to Ally.io
          - For guidance, please check out [how to use ally.io](#how-to-use-allyio): [Ally/OKR overview video for Product Managers](https://www.youtube.com/watch?v=M7z6ZnEpztU) and [how OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)
     - In some cases, GPMs may want to act as KR owners, working with the Product Manager and Product Group to add additional KRs to Ally.io.
          - For guidance, please check out [how to use ally.io](#how-to-use-allyio): [Ally/OKR overview video for GPMs](https://youtu.be/ilx7lk-_VM8) and [how OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)
- **1 week** prior to the start of the new quarter:
     - the CProdO and CTO record a video highligthing and discussing the Shared R&D OKRs
          - Product Operations adds video to relevant handbook pages and shares across relevant Slack channels
     - Product Operations reminds all  Directors and GPMs to review  OKRs added to Ally by their direct reports, to ensure any final modifications and additons are made prior to the beginning of the quarter
- **1 week** after the end of the quarter:
   - Product Operations asks Product team to ensure previous quarter scores are finalized  and their KRs closed by end of week in Ally
   - Product Operations asks VP Product Management, Directors, and Group Product Managers to run OKR retrospectives for their teams for the previous quarter, leveraging [the OKR Retrospective issue template](https://gitlab.com/gitlab-com/Product/-/issues/new?issuable_template=OKR-Retrospective).
- **3 weeks** after the end of the quarter:
   - Product Operations asks VP Product Management, Directors, and Group Product Managers to review their OKR retrospectives and share conclusions in the `#product` Slack channel or [PM Weekly](https://docs.google.com/document/d/1Kp8T4YrfmSvqbNlAKJw4pB4dPkV5-AjMT0wVvsxMJUY/edit#heading=h.avveod33mpb) if appropriate and helpful for the rest of the team. 

#### Product Manager participation in OKRs

- Product Managers will be pulled in for collaboration throughout the OKR drafting process
- Product Managers will work with their manager and [Product Group](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris) to plan and execute work to support OKRs throughout the quarter

#### Scoring and reporting 

KR owners will be responsible for the updating the status of their KRs by monthly. This is inclusive of collaborating with other team members to make sure any of their sub KRs rolling into their KRs are up to date as well. All R&D team members leverages the same scoring method to update OKRs detailed [here](#updating-the-status-and-progress-of-okrs).

## Product OKRs by Quarter

#### Current Quarter

[View in Ally.io](https://app.ally.io/teams/39480/objectives?tab=0&time_period_id=135092)

<iframe src="https://app.ally.io/public/AlHP9KoxhNsSCtY" class="dashboard-embed" height="1280" width="100%" style="border:none;"> </iframe>

#### Upcoming quarter

- [Product OKRs FY23-Q1](https://app.ally.io/teams/39480/objectives?tab=0&time_period_id=135092&viewId=208953)

#### Past Quarters

- [Product OKRs FY22-Q3](https://app.ally.io/teams/39480/objectives?tab=0&time_period_id=135092)
- [Product OKRs FY22-Q2](https://gitlab.com/gitlab-com/Product/-/issues/2376)
- [Product OKRs FY22-Q1](https://gitlab.com/gitlab-com/Product/-/issues/1914)
- [Product OKRs FY21-Q4](https://gitlab.com/gitlab-com/Product/-/issues/1566)
- [Product OKRs FY21-Q3](https://gitlab.com/gitlab-com/Product/-/issues/1320)

## OKRs at GitLab

For an overview of GitLab's approach to OKRs visit [Objectives and Key Results (OKRs)](https://about.gitlab.com/company/okrs/). The product team, in alignment with this guidance and in collaboration with the Engineering team, prioritizes Shared OKRs over functional team specific OKRs. 

### Shared R&D OKRs

Quarterly priority OKRs from CTO and CprodO are referred to as **Shared R&D OKRs**. The teams responsible for collaborating on these OKRs are [Product Groups](/handbook/product/product-processes/#quad--infra--security-product-group-dris).

Shared R&D OKRs stem from Objectives the CTO and CProdO align on, jointly with their leadership teams and [fiscal year product investment themes](https://about.gitlab.com/direction/#fiscal-year-product-investment-themes). These OKRs are not function-specific, as they are identified as a necessary priority across the whole product ecosystem by the CTO and CProdO and approved by the CEO. Shared R&D Objectives may be owned by either the CTO or the CProdO, and the KRs will be cascaded to cross-functional team members regardless of reporting/organizational structure. For example, the VP of User Experience may own a KR that cascades from an Objective owned by the CProdO. Shared R&D OKRs will be worked on as a priority by Product Groups.

To maintain clear focus and prioritization, the CTO and CProdO will aim to have no more than three Shared R&D objectives per quarter. There may be times the CProdO or CTO need to have [functional team-specific Objectives](#functional-team-specific-okrs). In those cases, they will still limit the total number of objectives they cascade to their respective teams to be no more than three.

### Functional team specific OKRs

There are times the Product Team will have functional team objectives that do not require collaboration from the cross-functional product group. Those OKRs will still be defined and cascaded by the CProdO following the same workflow as Shared R&D OKRs. 

All OKRs relevant to the product team are initiated by the Chief Product Officer each quarter per the details and timeline shared on this page.

The CTO drafts any Engineering organization specific OKRs per the [engineering OKR process](https://about.gitlab.com/handbook/engineering/#engineering-okr-process)


## Updating the Status and Progress of OKRs 

**When to update the status of Product OKRs** 

- For all Product team OKRs, the KR owners are responsible for keeping the status of their KRs in Ally.io up to date
     - Team members who **own** specific OKRs will update [the score (% complete) in Ally.io](https://about.gitlab.com/company/okrs/#scoring-okrs) monthly and ping any relevant stakeholders as needed. For example, since FY23-Q1 begins February 1, KR owners will provide score updates by February 15,  March 15 and April 15. We follow this mid-month cycle to ensure there are accurate OKR status updates for [Key Reviews](https://about.gitlab.com/handbook/key-review/) which typically happen around the 20th of each month.
- **Owners** of KRs will get pinged with reminders to do "check-ins" via  Ally/Slack around the 5th of each month. To get more reminders or to opt-out, visit [how to use Ally.io](#how-to-use-allyio) 
- **Owners** of KRs will also get pinged in the [Product Key Review issue](https://gitlab.com/gitlab-com/Product/-/issues/2919) as needed to update the Product Key Review slides around the 18th of each month based on what is in Ally.io

**How to report progress (% score in Ally) of Product OKRs**

In order to maintain consistency in evaluating progress across R & D, all Product OKRs will follow the scoring method outlined below as proposed in [Scoring Shared OKRs Consistently Across R & D](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/25).

At the beginning of each quarter, shared product KR owners should lead and align the [Product Group](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris) (the cross-functional team doing the work) to define a plan to accomplish their KRs as scorable in the following manner:

**Scoring Method: Scale**

This method allows for flexibility and can give you credit for achieving part of the key result. KRs are scored on a 0-100% scale. If you deliver part of the KR you can credit that result as a % score. 

     Example:

     Objective: Improve License Management

     - KR1 - Close 16 License issues
     - KR2 - Reduce license-related support tickets by 4%
     - KR3 - Manually audit 100% of missing license data

     If you use the scale scoring method it would look like this:

     - KR1 - Closed 8 of 16 issues - 50%
     - KR2 - Reduced license-related support tickets by 3.8% - 95%
     - KR3 - Manually audited 100% of missing license data - 100%

In this scenario you didn’t complete two of the KRs, but since you selected the Scale method you were able to get credit for what was completed. For example, 8 of 16 pain points is 1/2 of the KR, so the score is 50%. If additional issues were found during development, you would create a new OKR to resolve those issues the following quarter rather than shift the target of your current quarter.

**Note:** It is recommended to leverage the [Ally/GitLab issue integration](https://www.youtube.com/watch?v=cLgrylX8ufw) to help automate the % tracking of the progress of KRs in Ally in tandem with the methodology above. This will create a clear tie between KRs in Ally and the work related to the KR in GitLab. However, KRs can also be scored manually in Ally.io. For more guidance on how to leverage the Ally/GitLab issue integration see this [sample issue](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/6#examples) and other resources in [how to use Allio.io](#how-to-use-allyio).

**How this will look in Product Key Review slides**

- Product Key Reviews will reference Ally.io in an [OKR specific slide](https://docs.google.com/presentation/d/1O5Kc1kpJJBm5aJFT24V05xuR3pHjCGzID-QkYcUSZ5k/edit#slide=id.ge7a2c8f4b9_0_12)
- Product team OKR owners may leverage this [slide template](https://docs.google.com/presentation/d/1O5Kc1kpJJBm5aJFT24V05xuR3pHjCGzID-QkYcUSZ5k/edit#slide=id.geb1b1c60d1_1_4) if additional details are needed for their KRs

## How to write OKRs

It is highly recommended that product groups limit the number of OKRs they commit to so they have reasonable bandwidth to deliver  on them. PMs should consider either setting 1 OKR that's not related to a product theme **OR** 3 or fewer KRs if they are using the product themes as their objectives.

Here's are some examples of  how GPMs and PMs can use  epics/issues to plan and outline their product group OKRs:

- [Create stage](https://gitlab.com/gitlab-org/create-stage/-/issues/12875)

     - [Create: Editor group](https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/12044)

     - [Create: Code review group](https://gitlab.com/gitlab-org/create-stage/-/issues/12877)

- Manage stage

     - [Compliance group](https://gitlab.com/gitlab-org/gitlab/-/issues/334921)

[Verify stage](https://gitlab.com/gitlab-org/verify-stage/-/issues/89)

To learn more about what OKRs are and the importance of OKRs at GitLab, see the [company OKR handbook page](https://about.gitlab.com/company/okrs/).

To learn about the industry best practices for OKRs, how setting the right goals can mean the difference between success and failure, and how we can use OKRs to hold our leaders and ourselves accountable, watch [John Doerr's Ted Talk](https://www.youtube.com/watch?v=L4N1q4RNi9I). You can also find more resources in [Product Management Learning & Development](https://about.gitlab.com/handbook/product/product-manager-role/learning-and-development/#-kpis-and-metrics)

For information on [getting started with OKRs](https://learn.ally.io/path/employee/getting-started-with-okrs) and [writing basic okrs](https://learn.ally.io/writing-basic-okrs) see the linked courses from our OKR vendor Ally.

Samples of well written KRs from GitLab team members from the [Q2 product group KR experiment](https://gitlab.com/gitlab-com/Product/-/issues/2095). What makes these great is that they're succinct in scope and have clear metrics to measure success.

**Product theme (Objective)**: Drive a meaningful impact on Usability (Bugs, Infradev, Security)
**KRs (Key Results):**
- group::threat insights: Meet SLAs for all P1 and P2 bugs affecting usability
- group::code review: Reduce mean-time-to-close of S1 + S2 bugs by 50%
- group::editor: Complete 10 usability issues related to our primary categories (Web IDE, Snippets, Wiki)

## How to use Ally.io

For an overview of how Product is currently using Ally.io and how to do some basic tasks, check out this [overview video](https://youtu.be/hP9yk_PSj2k). We also have additional training materials provided by Ally.io and Gitlab in [this issue](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9) We recommend you check out everything in this issue but these are some specific links for common topics:

- [How to access Ally.io](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9#how-to-access-ally)
- [How Ally.io and Slack currently work together](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9#slack-integration)
- [How Ally.io and GitLab currently work together](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9#ally-and-gitlab-integration)
     - [Video: How the Ally/GitLab issue integration works for automatic tracking/scoring](https://www.youtube.com/watch?v=cLgrylX8ufw)
     - [Sample issue for how Ally/GitLab work together](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/6#examples)

- [How to change the scoring and do check-ins of an OKR in Ally.io](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9#what-are-check-ins)
- [How to update the various details or descriptions of an OKR in Ally.io](https://gitlab.com/gitlab-com/ally-okr-rollout/-/issues/9#how-to-create-okrs)
- [Video: How GPMs should add their teams' Shared Product KRs to Ally?](https://youtu.be/ilx7lk-_VM8)
- [Video: How and when do Product Managers participate in OKRs definition, planning and tracking?](https://www.youtube.com/watch?v=M7z6ZnEpztU)
- [Video: How OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)

## Additional Resources

- [What Matters](https://www.whatmatters.com/)
- [Ally/OKR overview video for Product Managers](https://www.youtube.com/watch?v=M7z6ZnEpztU)
- [How OKR alignments work in Ally](https://www.youtube.com/watch?v=pRl5QkvJEq8)

## How to contribute to this page

We encourage suggestions and improvements to the Product OKR process so please feel free to raise an MR to this page. To keep us all aligned, as the process touches all teams across the company, please assign all MRs for collaboration, review and approval to [Product Operations](https://gitlab.com/fseifoddini) and the [EBA to the Chief Product Officer](https://gitlab.com/kristie.thomas).
